## identity

identity

## Properties

gboolean | check-imperfect-offset | Read / Write
gboolean | check-imperfect-timestamp | Read / Write
gint | datarate | Read / Write
gfloat | drop-probability | Read / Write
gboolean | dump | Read / Write
gint | error-after | Read / Write
gchar * | last-message | Read
gboolean | signal-handoffs | Read / Write
gboolean | silent | Read / Write
gboolean | single-segment | Read / Write
guint | sleep-time | Read / Write
gboolean | sync | Read / Write
GstBufferFlags | drop-buffer-flags | Read / Write
gint64 | ts-offset | Read / Write
gboolean | drop-allocation | Read / Write
gint | eos-after | Read / Write

## Signals

void | handoff | Run Last

## Types and Values

struct | GstIdentity

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstIdentity

## Description

Dummy element that passes incoming data through unmodified. It has some useful diagnostic functions, such as offset and timestamp checking.

## Synopsis

### Element Information

plugin | coreelements
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstIdentity

    struct GstIdentity;

Opaque GstIdentity data structure

## Property Details

### The `“check-imperfect-offset”` property

      “check-imperfect-offset”   gboolean

Send element messages if offset and offset_end do not match up.

Flags: Read / Write

Default value: FALSE

### The `“check-imperfect-timestamp”` property

      “check-imperfect-timestamp” gboolean

Send element messages if timestamps and durations do not match up.

Flags: Read / Write

Default value: FALSE

### The `“datarate”` property

      “datarate”                 gint

(Re)timestamps buffers with number of bytes per second (0 = inactive).

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“drop-probability”` property

      “drop-probability”         gfloat

The Probability a buffer is dropped.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“dump”` property

      “dump”                     gboolean

Dump buffer contents to stdout.

Flags: Read / Write

Default value: FALSE

### The `“error-after”` property

      “error-after”              gint

Error after N buffers.

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: -1

### The `“last-message”` property

      “last-message”             gchar *

last-message.

Flags: Read

Default value: NULL

### The `“signal-handoffs”` property

      “signal-handoffs”          gboolean

If set to `TRUE`, the identity will emit a handoff signal when handling a buffer. When set to `FALSE`, no signal will be emitted, which might improve performance.

Flags: Read / Write

Default value: TRUE

### The `“silent”` property

      “silent”                   gboolean

silent.

Flags: Read / Write

Default value: TRUE

### The `“single-segment”` property

      “single-segment”           gboolean

Timestamp buffers and eat segments so as to appear as one segment.

Flags: Read / Write

Default value: FALSE

### The `“sleep-time”` property

      “sleep-time”               guint

Microseconds to sleep between processing.

Flags: Read / Write

Default value: 0

### The `“sync”` property

      “sync”                     gboolean

Synchronize to pipeline clock.

Flags: Read / Write

Default value: FALSE

### The `“drop-buffer-flags”` property

      “drop-buffer-flags”        GstBufferFlags

Drop buffers with the given flags.

Flags: Read / Write

Since: 1.8

### The `“ts-offset”` property

      “ts-offset”                gint64

Timestamp offset in nanoseconds for synchronisation, negative for earlier sync.

Flags: Read / Write

Default value: 0

### The `“drop-allocation”` property

      “drop-allocation”          gboolean

Don't forward allocation queries.

Flags: Read / Write

Default value: FALSE

### The `“eos-after”` property

      “eos-after”                gint

EOS after N buffers.

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: -1

Since: 1.16

## Signal Details

### The `“handoff”` signal

    void
    user_function (GstIdentity *identity,
                   GstBuffer   *buffer,
                   gpointer     user_data)

This signal gets emitted before passing the buffer downstream.

#### Parameters

identity | the identity instance |
buffer | the buffer that just has been received |
pad | the pad that received it |
user_data | user data set when the signal handler was connected. |

Flags: Run Last